	
//--------------------------------------------------------------------------------------
// O[oϐ
//--------------------------------------------------------------------------------------
float4x4 g_mWorldViewProjection;	// ꂽ[hAr[Aˉeϊs
float4x4 g_mWorld;					// [hϊs
float4 g_MaterialDiffuseColor;      // }eADiffuseF
float4 g_AmbientColor;				// 
float3 g_LightDir;                  // fBNVCg̃xNg


texture g_MeshTexture;              // eNX`
texture g_RenderTexture;			// _OʃeNX`

//@@@@@@@@@@@@@@@@@@
texture g_MaskTexture;				//@}XNeNX`
texture g_SunTexture;				//@Sun}XNeNX`

float g_Count;

float g_StartU;
float g_StartV;
float g_Scale;

float4	g_Color;
float	g_Alpha;

float2	g_Fog;

//@@@@@@@@@@@@@@@@@@

//--------------------------------------------------------------------------------------
// eNX`Tv
//--------------------------------------------------------------------------------------

//fpeNX`(Ԃj
sampler MeshTextureSampler = 
sampler_state
{
    Texture = <g_MeshTexture>;
    
	MipFilter = LINEAR;
	MinFilter = LINEAR;
	MagFilter = LINEAR;
	
    AddressU = Wrap;
    AddressV = Wrap;
};

//fpeNX`(ԂȂj
sampler MeshTextureSamplerPoint = 
sampler_state
{
    Texture = <g_MeshTexture>;
    
	MipFilter = POINT;
	MinFilter = POINT;
	MagFilter = POINT;
	
    AddressU = Wrap;
    AddressV = Wrap;
};


//|XgGtFNgpeNX`
sampler MaskTextureSampler = 
sampler_state
{
    Texture = <g_MaskTexture>;
    
    MipFilter = LINEAR;
    MinFilter = LINEAR;
    MagFilter = LINEAR;
//	MipFilter = POINT;
//	MinFilter = POINT;
//	MagFilter = POINT;
    
};


//zeNX`
sampler SunTextureSampler = 
sampler_state
{
    Texture = <g_SunTexture>;
    
//    MipFilter = LINEAR;
//    MinFilter = LINEAR;
//    MagFilter = LINEAR;
	MipFilter = POINT;
	MinFilter = POINT;
	MagFilter = POINT;
    
};


//_O^[Qbg
sampler RenderTextureSampler = 
sampler_state
{
    Texture = <g_RenderTexture>;
    
	MipFilter = LINEAR;
	MinFilter = LINEAR;
	MagFilter = LINEAR;

//	MipFilter = POINT;
//	MinFilter = POINT;
//	MagFilter = POINT;

    
    AddressU = Clamp;
    AddressV = Clamp;
    
};


//@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
//
// eNjbN1
//
//@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@

//--------------------------------------------------------------------------------------
// _VF[_o͍\
//--------------------------------------------------------------------------------------
struct VS_OUTPUT
{
    float4 Position   : POSITION;  // _ʒu
    float4 Diffuse    : COLOR0;    // _DiffuseF
    float2 Texture    : TEXCOORD0; // eNX`W
    
    float  Fog		  : FOG;		// tHO
};

//--------------------------------------------------------------------------------------
// gXtH[AeNX`ACeBO
//--------------------------------------------------------------------------------------
/*
VS_OUTPUT RenderSceneVS_TextureLighting( float4 vPos : POSITION,
											float3 vNormal : NORMAL,
											float2 vTexCoord0 : TEXCOORD0  )
{
    VS_OUTPUT Output;
     float3 vNormalWorldSpace;
 
    // _ʒuˉeԂɃgXtH[
    Output.Position = mul(vPos, g_mWorldViewProjection);

    // @IuWFNgԂ烏[hԂփgXtH[
    vNormalWorldSpace = normalize(mul(vNormal, (float3x3)g_mWorld)); // normal (world space)
    
	// }eA̐FiDiffusejɃCg̋āA_DiffuseF߂
    Output.Diffuse.rgb = saturate(
		g_MaterialDiffuseColor * max(0,dot(vNormalWorldSpace, g_LightDir))
		+ g_MaterialDiffuseColor * g_AmbientColor);

	// At@͂Ƃ肠1.0ɐݒ
	Output.Diffuse.a = 1.0f;

	// UVW͂̂܂܏o
	Output.Texture = vTexCoord0; 

	Output.Fog = 0.6; //@@@
	
    return Output;    
}
*/

VS_OUTPUT RenderSceneVS_TextureLighting( float4 vPos : POSITION,
											float4 vNormal : POSITION,		
											float4 vColor : COLOR0,
											float2 vTexCoord0 : TEXCOORD0  )
{
    VS_OUTPUT Output;
 //    float3 vNormalWorldSpace;
 
    // _ʒuˉeԂɃgXtH[
    Output.Position = mul(vPos, g_mWorldViewProjection);

    // @IuWFNgԂ烏[hԂփgXtH[
//    vNormalWorldSpace = normalize(mul(vNormal, (float3x3)g_mWorld)); // normal (world space)
    
	// }eA̐FiDiffusejɃCg̋āA_DiffuseF߂
    Output.Diffuse	= vColor;
    
	// UVW͂̂܂܏o
	Output.Texture = vTexCoord0; 


	//tHOȂ
//	Output.Fog = 1.0;
//	Output.Fog = 0.5;

	Output.Fog = g_Fog.x + Output.Position.w * g_Fog.y;	//


	//tHO
//	Output.Fog = 0.9f + ( 1.0f- Output.Position.w)*0.1f;	//
//	Output.Fog = 0.95f + ( 1.0f-Output.Position.w)*0.05f;	//
//	Output.Fog = 1.0f - (0.95f + ( 1.0f-Output.Position.w)*0.05f);	//

//	Output.Fog = 1.0f - ( 0.1f * Output.Position.w );	//
//	Output.Fog = ( 0.01f * Output.Position.w );	//

//	Output.Fog = 1.0 - (0.08 * Output.Position.w );	//ZtHO
//	Output.Fog = 1.0 - (0.04 * Output.Position.w );	//
//	Output.Fog = 1.0 - (0.02 * Output.Position.w );	//tHO

	//tHO
//    float4 vPosW  = mul( vPos, g_mWorld );
//	Output.Fog =  vPosW.y * 8 +  g_Count ;// @@@
//	Output.Fog =  vPosW.y + g_Count ;
//	Output.Fog =  vPosW.y * 0.3;	//0.2{tHO̍Ȃ
//	Output.Fog =  vPosW.y * 8;		//8{tHO̍ႭȂ
//	Output.Fog =  (1.0f-Output.Position.y);	//0.2{tHO̍Ȃ
	
    return Output;    
}



VS_OUTPUT RenderSceneVS_WaterSurfaceAnim( float4 vPos : POSITION,
											float4 vNormal : POSITION,		
											float4 vColor : COLOR0,
											float2 vTexCoord0 : TEXCOORD0  )
{
    VS_OUTPUT Output;
 //    float3 vNormalWorldSpace;
 
    // _ʒuˉeԂɃgXtH[
    Output.Position = mul(vPos, g_mWorldViewProjection);

    // @IuWFNgԂ烏[hԂփgXtH[
//    vNormalWorldSpace = normalize(mul(vNormal, (float3x3)g_mWorld)); // normal (world space)
    
	// }eA̐FiDiffusejɃCg̋āA_DiffuseF߂
    Output.Diffuse	= vColor;
    
	// UVW͂̂܂܏o
//	float2 uv =  vTexCoord0;// / g_MaxUV;	//0--1.0f
//	Output.Texture = uv; 
	Output.Texture = vTexCoord0; 
	
	Output.Fog = 1.0; //0.6; //@@@
	
    return Output;    
}

//}bsO
float4 RenderScenePS_StartScaleUV( VS_OUTPUT In )  : COLOR
{ 
    float4 RGBColor;
	
	float2 uv = In.Texture * g_Scale;
	uv.x = g_StartU + uv.x;
	uv.y = g_StartV + uv.y;
	float4 TColor = tex2D(MeshTextureSampler, uv);
	
//	RGBColor = In.Diffuse * TColor  * g_Color;		//	_J[{eNX`{O[oJ[
	RGBColor = TColor  * g_Color;					//	eNX`{O[oJ[
	
    return RGBColor;
}


//--------------------------------------------------------------------------------------
// eNX`TvOto
//--------------------------------------------------------------------------------------
float4 RenderScenePS_WaterSurfaceAnim( VS_OUTPUT In )  : COLOR
{ 
	float2 uv = frac( In.Texture ); // frac֐EEEo
	
	uv = uv * (64.0f/512.0f);  //0.125f;	//   0.125f=64/512
	uv.x = uv.x + g_StartU + ((1.0f/512.0f)/2.0f);		//((1.0f/512.0f)/2.0f)  512sNẐPsNZ̒l
	uv.y = uv.y + g_StartV + ((1.0f/512.0f)/2.0f);
	
   float4 TColor = tex2D(MeshTextureSampler, uv);
	
//	RGBColor.r = In.Diffuse.r * 0.5 + TColor.r * 0.5; 
//	RGBColor.g = In.Diffuse.g * 0.5 + TColor.g * 0.5; 
//	RGBColor.b = In.Diffuse.b * 0.5 + TColor.b * 0.5; 
//	RGBColor.a = In.Diffuse.a;

	float4 RGBColor = In.Diffuse * TColor; 
//	float4 RGBColor = TColor * g_Color; 
//	float4 RGBColor = TColor; 
	
    return RGBColor;
}


// Texture Onley(j
float4 RenderScenePS_Texture( VS_OUTPUT In )  : COLOR
{ 
//	return tex2D(MeshTextureSamplerPoint, float2(0.993,0.997) );
//	return tex2D(MeshTextureSamplerPoint, In.Texture);	//ŋߖT
	return tex2D(MeshTextureSampler, In.Texture);		//`
}

// _J[ƃO[oJ[ieNX`Ȃj
float4 RenderScenePS_VcolorGcolor( VS_OUTPUT In )  : COLOR
{ 
	return In.Diffuse * g_Color;
}

// eNX`ƃO[oJ[i_J[Ȃj
float4 RenderScenePS_TextureGcolor( VS_OUTPUT In )  : COLOR
{ 
//	return tex2D(MeshTextureSampler, In.Texture) * g_Color;

	float4 TColor = tex2D(MeshTextureSampler, In.Texture );
	float4 RGBColor;// = TColor * g_Color ;
		
	float invAlpha = 1.0f - g_Color.a; 	

	RGBColor.r = (TColor.r * invAlpha)  + (g_Color.r * g_Color.a);
	RGBColor.g = (TColor.g * invAlpha)  + (g_Color.g * g_Color.a);
	RGBColor.b = (TColor.b * invAlpha)  + (g_Color.b * g_Color.a);
	RGBColor.a = (TColor.a * g_Alpha);
	return RGBColor;
}

//_J[̂
float4 RenderScenePS_Vcolor( VS_OUTPUT In): COLOR
{   
	return In.Diffuse;
}

//O[oF̂
float4 RenderScenePS_Texture07( VS_OUTPUT In): COLOR
{   
	return g_Color;
}

//Z
float4 RenderScenePS_Texture08(VS_OUTPUT In) : COLOR
{
	float4 oColor;
	float4 tColor = tex2D(MeshTextureSampler, In.Texture);
	oColor = tColor; // *In.Color;

	oColor = oColor * g_Color;
	oColor.a = g_Alpha;

	return oColor;
}

//Z2( SRC * ONE + DST * gAlpha )
float4 RenderScenePS_Texture09(VS_OUTPUT In) : COLOR
{
	float4 oColor;
	oColor = tex2D(MeshTextureSampler, In.Texture);

	oColor = oColor * g_Color;
	oColor.a = g_Alpha;
	
	return oColor;
}


float4 RenderScenePS_Inking( VS_OUTPUT In )  : COLOR
{ 
	float4 RGBColor;
	RGBColor = tex2D(MeshTextureSampler, In.Texture );
	RGBColor.a = 1.0;//In.Diffuse.a;
	
//	return (In.Diffuse.a > 0.35  &&  In.Diffuse.a  < 0.65 ) ? float4(0,0,0, 255) : RGBColor;
	return (In.Diffuse.a > 0.45  &&  In.Diffuse.a  < 0.55 ) ? float4(0,0,0, 255) : RGBColor;
}

//float4 RenderScenePS_Inking( VS_OUTPUT In )  : COLOR
//{ 
//	return (In.Diffuse.a > 0.3  &&  In.Diffuse.a  < 0.7 ) ? float4(0,0,0, 255) : float4(255,255,0,255);
//}

//bVJ[{ʉߐF+wiƂ̃At@uh
//float4 RenderScenePS_Texture00111( VS_OUTPUT In ) : COLOR
//{ 
//  float4 RGBColor;
//
//	float4 tColor = tex2D(MeshTextureSampler, In.Texture);
//	float inv_a = 1.0 - g_Color.a;
//	float a     = g_Color.a;
//	RGBColor = (tColor * inv_a) + (g_Color * a);
//	RGBColor.a = g_Alpha; //1.0;
//	
//	return tColor.r == 0.0 && tColor.g == 1.0 && tColor.b == 0.0 ?  float4( 1, 1, 1, 0) : RGBColor;
//}

//.bVJ[{ʉߐF+wiƂ̃At@uh
float4 PS_Mesh( VS_OUTPUT In) : COLOR
{
	float4 tColor = tex2D(MeshTextureSampler, In.Texture);
//	float4 tColor = tex2D(MeshTextureSamplerPoint, In.Texture);	//ԂȂŃeNZ擾

	float4 oColor;
//	float fInvA = 1.0 - g_Alpha; //g_Color.a;; 
//	oColor = (tColor * g_Alpha) + (g_Color * fInvA);
//	oColor.a = g_Alpha;
			
	oColor =  tColor; //  * In.Diffuse; // * g_Color;
			
//	return tColor.r == 0.0 && tColor.g == 1.0 && tColor.b == 0.0 ?  float4( 1, 1, 1, 0) : oColor;
	return oColor;
}

//.bVCeBO
float4 PS_MeshLighting( VS_OUTPUT In) : COLOR
{
    float4 RGBColor;
    
   	float4 tColor = tex2D(MeshTextureSampler, In.Texture);
 
//	RGBColor = ( tColor * 0.5) + ( In.Diffuse * 0.5);
//	RGBColor = ( tColor * 0.6) + ( In.Diffuse * 0.4);
	RGBColor = ( tColor * In.Diffuse);
	
//	RGBColor.a = In.Diffuse.a;
//	RGBColor = In.Diffuse;
//	RGBColor.a = In.Diffuse.a;

    return RGBColor;
}
\



//UCN
float4 RenderScenePS_Texture01( VS_OUTPUT In )  : COLOR
{ 
    float4 RGBColor;

	float2 uv = floor( 30 * In.Texture) / 30;
	float3 c0 = tex2D(MeshTextureSampler, uv );

	RGBColor.x = c0.x;
	RGBColor.y = c0.y;
	RGBColor.z = c0.z;
	RGBColor.a = 1.0;
	
	RGBColor *= In.Diffuse;
	
    return RGBColor;
}


//ڂ
float4 RenderScenePS_Texture02( VS_OUTPUT In )  : COLOR
{ 
    float4 RGBColor;

	float2 uv = In.Texture;

	float2 ax = float2(0.00390625, 0.0);
	float2 ay = float2(0.0, 0.00390625);
		
	float3 c0 = tex2D(MeshTextureSampler, uv );
	float3 c1 = tex2D(MeshTextureSampler, uv + ax );
	float3 c2 = tex2D(MeshTextureSampler, uv - ax );
	float3 c3 = tex2D(MeshTextureSampler, uv + ay );
	float3 c4 = tex2D(MeshTextureSampler, uv - ay );
	float3 cS = (c0+c1+c2+c3+c4) / 5;
	
	RGBColor.x = cS.x;
	RGBColor.y = cS.y;
	RGBColor.z = cS.z;
	RGBColor.a = 1.0;
	
	RGBColor = RGBColor * In.Diffuse;
	
    return RGBColor;
}



//O[XP[
float4 RenderScenePS_Texture03( VS_OUTPUT In )  : COLOR
{ 
    float4 RGBColor;
    
    
	RGBColor = tex2D(MeshTextureSampler, In.Texture);
	
	RGBColor = RGBColor * In.Diffuse;	//eNX`{_J[
	
	float g = (RGBColor.x + RGBColor.y + RGBColor.z) / 3.0;	//eNX`Onley
//	float g = (In.Diffuse.x + In.Diffuse.y + In.Diffuse.z) / 3.0;	//_J[Only
	
	RGBColor = float4( g, g, g, 1.0);

//	RGBColor *= In.Diffuse;
	
    return RGBColor;
}



//F]
float4 RenderScenePS_Texture04( VS_OUTPUT In ) : COLOR
{ 
    float4 RGBColor;
	
	RGBColor = 1.0 - tex2D(MeshTextureSampler, In.Texture) * In.Diffuse;
	
	RGBColor.a = 1;
	
    return RGBColor;
}


//Wave
float4 RenderScenePS_Texture05( VS_OUTPUT In): COLOR
{   
    float4 RGBColor;

	float2 uv;
	uv.x = In.Texture.x  + sin( g_Count + In.Texture.y * 10.0f ) * 0.04f; 
	uv.y = In.Texture.y;

	float4 color = tex2D( MeshTextureSampler, uv );

	RGBColor  = color; // * 0.6 + float4(0.2, 0.1, 1.0, 1) * 0.4;

	return RGBColor;
}


//eNX` * _J[ * O[oF
float4 RenderScenePS_Texture06( VS_OUTPUT In): COLOR
{   
	float4 RGBColor = tex2D(MeshTextureSampler, In.Texture);
	RGBColor = RGBColor * In.Diffuse * g_Color;	

	return 	RGBColor;
//	return g_Color;
}



	// ------------
	// eNjbN
	// ------------
	
technique tech01
{
    pass P0
    {          
        VertexShader = compile vs_1_1 RenderSceneVS_TextureLighting( );
        PixelShader  = compile ps_2_0 RenderScenePS_Texture( );
        
        //tHO
//		FogEnable = true;			//@@@ tHOLɂ 
//		FogVertexMode = Linear;		//@@@ `tHO
//		FogColor = 0x00000000;		//@@@ tHO̐FiFj//sC(Íj
//		FogColor = 0xd8e3fe;		//@@@ tHO̐F
//		FogColor = 0x003f3f3f;		//@@@ tHO̐F
//		FogColor = 0x00ff0f0f;		//@@@ tHO̐F(ԁj	//nnтGOOD
//      FogColor = 0x0000ff00;		//@@@ tHO̐F(΁j
//      FogColor = 0x0000007f;		//@@@ tHO̐F(j
//      FogColor = 0x00ffff00;	//@@@ tHO̐F(Fj		//
//		FogColor = 0x0000ffff;		//@@@ tHO̐FiFj
//		FogColor = 0x00ff4200;		//@@@ tHO̐FiFj//[
//		FogColor = 0x00ffffff;		//@@@ tHO̐FiFj
// 		FogColor = 0x00afafaf;		//@@@ tHO̐FiFj
   
//        CullMode = CCW;
        
        // _[Xe[g
        AlphaBlendEnable = True;
        SrcBlend = SrcAlpha;
        DestBlend = InvSrcAlpha;
    }

    pass P1
    {          
        VertexShader = compile vs_1_1 RenderSceneVS_WaterSurfaceAnim( );
        PixelShader  = compile ps_2_0 RenderScenePS_WaterSurfaceAnim( );
        
        //tHO
//		FogEnable = true;			//@@@ tHOLɂ 
//		FogVertexMode = Linear;		//@@@ `tHO
//		FogColor = 0x00000000;		//@@@ tHO̐FiFj//sC(Íj
        
//        CullMode = CCW;
//        CullMode = CW;
        CullMode = NONE;			//ʃ|S
        
        // _[Xe[g
        AlphaBlendEnable = True;
        SrcBlend = SrcAlpha;
        DestBlend = InvSrcAlpha;
    }
    
    pass P2
    {          
        VertexShader = compile vs_1_1 RenderSceneVS_TextureLighting( );
        PixelShader  = compile ps_2_0 RenderScenePS_Texture01( );
        
		//tHO
//		FogEnable = true;			//@@@ tHOLɂ 
//		FogVertexMode = Linear;		//@@@ `tHO
//		FogColor = 0x00000000;		//@@@ tHO̐FiFj//sC(Íj
 
        // _[Xe[g
        AlphaBlendEnable = True;
        SrcBlend = SrcAlpha;
        DestBlend = InvSrcAlpha;
    }

    pass P3
    {          
        VertexShader = compile vs_1_1 RenderSceneVS_TextureLighting( );
        PixelShader  = compile ps_1_4 RenderScenePS_Texture02( );
        
		//tHO
//		FogEnable = true;			//@@@ tHOLɂ 
//		FogVertexMode = Linear;		//@@@ `tHO
//		FogColor = 0x00000000;		//@@@ tHO̐FiFj//sC(Íj
        
        // _[Xe[g
        AlphaBlendEnable = True;
        SrcBlend = SrcAlpha;
        DestBlend = InvSrcAlpha;
    }

    pass P4
    {          
        VertexShader = compile vs_1_1 RenderSceneVS_TextureLighting( );
        PixelShader  = compile ps_1_4 RenderScenePS_Texture03( );
        
		//tHO
//		FogEnable = true;			//@@@ tHOLɂ 
//		FogVertexMode = Linear;		//@@@ `tHO
//		FogColor = 0x00000000;		//@@@ tHO̐FiFj//sC(Íj
        
        // _[Xe[g
        AlphaBlendEnable = True;
        SrcBlend = SrcAlpha;
        DestBlend = InvSrcAlpha;
    }
    
    pass P5
    {          
        VertexShader = compile vs_1_1 RenderSceneVS_TextureLighting( );
        PixelShader  = compile ps_1_4 RenderScenePS_Texture04();
        
		//tHO
//		FogEnable = true;			//@@@ tHOLɂ 
//		FogVertexMode = Linear;		//@@@ `tHO
//		FogColor = 0x00000000;		//@@@ tHO̐FiFj//sC(Íj
		
        // _[Xe[g
        AlphaBlendEnable = True;
        SrcBlend = SrcAlpha;
        DestBlend = InvSrcAlpha;
    }
    
    pass P6
    {          
        VertexShader = compile vs_1_1 RenderSceneVS_TextureLighting( );
        PixelShader  = compile ps_2_0 RenderScenePS_Texture05();
        
		//tHO
//		FogEnable = true;			//@@@ tHOLɂ 
//		FogVertexMode = Linear;		//@@@ `tHO
//		FogColor = 0x00000000;		//@@@ tHO̐FiFj//sC(Íj
		
        // _[Xe[g
        AlphaBlendEnable = True;
        SrcBlend = SrcAlpha;
        DestBlend = InvSrcAlpha;
    }
    
//    pass P7
//  {          
//        VertexShader = compile vs_1_1 RenderSceneVS_TextureLighting( );
//       PixelShader  = compile ps_2_0 PS_Mesh();
// 
//        // _[Xe[g
//        AlphaBlendEnable = True;
//        SrcBlend = SrcAlpha;
//        DestBlend = InvSrcAlpha;
//    }
    pass P7
    {          
        VertexShader = compile vs_1_1 RenderSceneVS_TextureLighting( );
        PixelShader  = compile ps_2_0 RenderScenePS_StartScaleUV();
        
		//tHO
//		FogEnable = true;			//@@@ tHOLɂ 
//		FogVertexMode = Linear;		//@@@ `tHO
//		FogColor = 0x00000000;		//@@@ tHO̐FiFj//sC(Íj
        
        // _[Xe[g
        AlphaBlendEnable = True;
        SrcBlend = SrcAlpha;
        DestBlend = InvSrcAlpha;
    }
    
    pass P8
    {          
        VertexShader = compile vs_1_1 RenderSceneVS_TextureLighting( );
        PixelShader  = compile ps_2_0 PS_MeshLighting();
 
		//tHO
//		FogEnable = true;			//@@@ tHOLɂ 
//		FogVertexMode = Linear;		//@@@ `tHO
//		FogColor = 0x00000000;		//@@@ tHO̐FiFj//sC(Íj
 
        // _[Xe[g
        AlphaBlendEnable = True;
        SrcBlend = SrcAlpha;
        DestBlend = InvSrcAlpha;
	}
	
	//ΐFʉߐFƂ
    pass P9
    {          
        VertexShader = compile vs_1_1 RenderSceneVS_TextureLighting( );
        PixelShader  = compile ps_2_0 PS_Mesh();

		//tHO
//		FogEnable = true;			//@@@ tHOLɂ 
//		FogVertexMode = Linear;		//@@@ `tHO
//		FogColor = 0x00000000;		//@@@ tHO̐FiFj//sC(Íj
 
        // _[Xe[g
        AlphaBlendEnable = True;
        SrcBlend = SrcAlpha;
        DestBlend = InvSrcAlpha; //One;
    }

    pass P10
    {          
        VertexShader = compile vs_1_1 RenderSceneVS_TextureLighting( );
        PixelShader  = compile ps_2_0 RenderScenePS_Texture06();
 
		//tHO
//		FogEnable = true;			//@@@ tHOLɂ 
//		FogVertexMode = Linear;		//@@@ `tHO
//		FogColor = 0x00000000;		//@@@ tHO̐FiFj//sC(Íj
		
        // _[Xe[g
		AlphaBlendEnable = False; //True; //;
        SrcBlend = One; //SrcAlpha;
        DestBlend = One;//InvSrcAlpha; //One;
    }

   pass P11
    {          
        VertexShader = compile vs_1_1 RenderSceneVS_TextureLighting( );
        PixelShader  = compile ps_2_0 RenderScenePS_Inking( );
        
        
		//tHO
//		FogEnable = true;			//@@@ tHOLɂ 
//		FogVertexMode = Linear;		//@@@ `tHO
//		FogColor = 0x00000000;		//@@@ tHO̐FiFj//sC(Íj
        
//        CullMode = CCW;
        
        // _[Xe[g
        AlphaBlendEnable = True;
        SrcBlend = SrcAlpha;
        DestBlend = InvSrcAlpha;
    }
    
    pass P12
    {          
        VertexShader = compile vs_1_1 RenderSceneVS_TextureLighting( );
        PixelShader  = compile ps_2_0 RenderScenePS_Texture07();
 
		//tHO
///		FogEnable = true;			//@@@ tHOLɂ 
//		FogVertexMode = Linear;		//@@@ `tHO
//		FogColor = 0x00000000;		//@@@ tHO̐FiFj//sC(Íj
 
        // _[Xe[g
		AlphaBlendEnable = True; //;
        SrcBlend = SrcAlpha;
        DestBlend = InvSrcAlpha; //One;
    }
    
    pass P13
    {          
        VertexShader = compile vs_1_1 RenderSceneVS_TextureLighting( );
        PixelShader  = compile ps_2_0 RenderScenePS_Texture08();

		//tHO
		FogEnable = false;			//@@@ tHOLɂ 
 
        // _[Xe[g
		AlphaBlendEnable = True; //;
        SrcBlend = One; //SrcAlpha;
        DestBlend = One; 
    }

    pass P14
    {          
        VertexShader = compile vs_1_1 RenderSceneVS_TextureLighting( );
        PixelShader  = compile ps_2_0 RenderScenePS_Texture09();
 
		//tHO
		FogEnable = false;			//@@@ tHOLɂ 
 
        // _[Xe[g
		AlphaBlendEnable = True; //;
        SrcBlend = SrcAlpha;
        DestBlend = One; 
    }

    pass P15
    {          
        VertexShader = compile vs_1_1 RenderSceneVS_TextureLighting( );
        PixelShader  = compile ps_2_0 RenderScenePS_VcolorGcolor( );
        
		//tHO
//		FogEnable = true;			//@@@ tHOLɂ 
//		FogVertexMode = Linear;		//@@@ `tHO
//		FogColor = 0x00000000;		//@@@ tHO̐FiFj//sC(Íj
        
        // _[Xe[g
        AlphaBlendEnable = True;
        SrcBlend = SrcAlpha;
        DestBlend = InvSrcAlpha;
    }

    pass P16
    {          
        VertexShader = compile vs_1_1 RenderSceneVS_TextureLighting( );
        PixelShader  = compile ps_2_0 RenderScenePS_TextureGcolor();
        
		//tHO
//		FogEnable = true;			//@@@ tHOLɂ 
//		FogVertexMode = Linear;		//@@@ `tHO
//		FogColor = 0x00000000;		//@@@ tHO̐FiFj//sC(Íj
        
        // _[Xe[g
        AlphaBlendEnable = True;
        SrcBlend = SrcAlpha;
        DestBlend = InvSrcAlpha;
    }

    pass P17
    {          
        VertexShader = compile vs_1_1 RenderSceneVS_TextureLighting( );
        PixelShader  = compile ps_2_0 RenderScenePS_Vcolor();
        
		//tHO
//		FogEnable = true;			//@@@ tHOLɂ 
//		FogVertexMode = Linear;		//@@@ `tHO
//		FogColor = 0x00000000;		//@@@ tHO̐FiFj//sC(Íj
        
        // _[Xe[g
        AlphaBlendEnable = True;
        SrcBlend = SrcAlpha;
        DestBlend = InvSrcAlpha;
    }




}


//@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
//
// eNjbNQ(_O摜ɑ΂鏈j|XgGtFNg
//
//@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@


	// ----------------
	// _VF[_
	// ----------------

// pd3dDevice->SetFVF( D3DFVF_XYZRHW | D3DFVF_TEX1 );
struct VS_OUTPUT2
{
    float4 Pos            : POSITION;	//XN[W(D3DFVF_XYZRHW)
    float2 Tex0           : TEXCOORD0;	//eNX`W(D3DFVF_TEX1)

};

	// -----------------
	// sNZVF[_
	// -----------------

//.Check ID 


void f0( in float a, in float result )
{
static  float f;

	f += 0.1f;


	result = f; 
	
	return;
}

float4 PS_CheckID(VS_OUTPUT2 In) : COLOR
{   
	float4 text = tex2D(RenderTextureSampler, In.Tex0 );
	 
	return  text;
}


	
//.Normal
float4 PS00(VS_OUTPUT2 In) : COLOR
{   
   return tex2D( RenderTextureSampler, In.Tex0 );// x
}

//UCN
float4 PS01(VS_OUTPUT2 In) : COLOR
{   
	float4 text = tex2D(MaskTextureSampler, In.Tex0 );
	float2 uv =  text.x > 0.5 ?  floor( 30 * In.Tex0 ) / 30 : In.Tex0;

//	float2 uv = floor( 30 * In.Tex0 ) / 30;
	return tex2D(RenderTextureSampler, uv );
}


//O[XP[
float4 PS02(VS_OUTPUT2 In) : COLOR
{   
	float4 text = tex2D(MaskTextureSampler, In.Tex0 );
	
	
	float4 color = tex2D( RenderTextureSampler, In.Tex0 );
	
	float g = ( color.x + color.y + color.z) / 3.0;
		
	return  text.x > 0.5 ?  float4( g, g, g, 1.0) : color;
}

//F]
float4 PS03(VS_OUTPUT2 In) : COLOR
{   
	float4 text = tex2D(MaskTextureSampler, In.Tex0 );
	
	
	float4 color = tex2D( RenderTextureSampler, In.Tex0 );
	return  text.x > 0.5 ?  1.0-color : color;
}

//X|bgi]j
float4 PS04(VS_OUTPUT2 In) : COLOR
{   
	float4 text = tex2D(MaskTextureSampler, In.Tex0 );
	
	
	float4 color = tex2D( RenderTextureSampler, In.Tex0 );
	return  text.x > 0.5 ?  color : 0;
}


//Wave
float4 PS05(VS_OUTPUT2 In) : COLOR
{   
	float2 uv;
//	uv.x = In.Tex0.x + sin( g_Count + In.Tex0.y * 10.0f ) * 0.04f; 
	uv.x = In.Tex0.x + sin( g_Count + In.Tex0.y * 2.0f ) * 0.08f; 
	uv.y = In.Tex0.y;

	float4 color = tex2D( RenderTextureSampler, uv );

	return color;
}

//
//float4 PS06(VS_OUTPUT2 In) : COLOR
//{   
//	float4 color = tex2D( RenderTextureSampler, In.Tex0  );
//
//	float g = ( color.x + color.y + color.z) / 3.0;
//	return float4( color.r, g, g, 1.0);
//	return color;
//}
float4 PS06(VS_OUTPUT2 In) : COLOR
{   
	float4 color = tex2D( RenderTextureSampler, In.Tex0  );

	color.x *= g_Count;
	color.y *= g_Count;

	return color;
}


	// ------------
	// eNjbN
	// ------------
	
technique tech02
{
    pass P0
    {
        PixelShader  = compile ps_2_0 PS00();
        
		FogEnable = false;						//@@@ tHO𖳌ɂ 
    }
    
    pass P1
    {
        PixelShader  = compile ps_2_0 PS01();

		FogEnable = false;						//@@@ tHO𖳌ɂ 
    }
    pass P2
    {
        PixelShader  = compile ps_1_4 PS02();
        
		FogEnable = false;						//@@@ tHO𖳌ɂ 
    }
    pass P3
    {
        PixelShader  = compile ps_1_4 PS03();

		FogEnable = false;						//@@@ tHO𖳌ɂ 
    }
    pass P4
    {
        PixelShader  = compile ps_1_4 PS04();

		FogEnable = false;						//@@@ tHO𖳌ɂ 
    }
    pass P5
    {
        PixelShader  = compile ps_2_0 PS05();
   
        // _[Xe[g
//        AlphaBlendEnable = True;
//        SrcBlend = SrcAlpha;
//        DestBlend = InvSrcAlpha;
		FogEnable = false;						//@@@ tHO𖳌ɂ 
    }
    pass P6
    {
        PixelShader  = compile ps_1_4 PS06();
        
		FogEnable = false;						//@@@ tHO𖳌ɂ 
    }
    
    
    pass P7
    {
        PixelShader  = compile ps_2_0 PS_CheckID();
        
		FogEnable = false;						//@@@ tHO𖳌ɂ 
    }
    
}



//@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
//
// eNjbNR (QcXvCgpj
//
//@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@

	// ----------------
	// _VF[_
	// ----------------


// pd3dDevice->SetFVF( D3DFVF_XYZRHW | D3DFVF_TEX1 );
struct VS_OUTPUT3
{
    float4 Pos		: POSITION;		// XN[W(D3DFVF_XYZRHW)
    float4 Color	: COLOR0;		// _DiffuseF
    float2 Tex0		: TEXCOORD0;	// eNX`W(D3DFVF_TEX1)
    
};

	// -----------------
	// sNZVF[_
	// -----------------


//.z}bv
float4 PS_SUN00_SPR2D(VS_OUTPUT3 In) : COLOR
{
	float4 tColor = tex2D(MeshTextureSamplerPoint, In.Tex0);
		
	return tColor.r >= 0.9 && tColor.g >= 0.9 && tColor.b <= 0.1
//	return tColor.r >= g_Color.r && tColor.g >= g_Color.g && tColor.b <= g_Color.b
							 ?
						float4( 1, 1, 1, 1)
							:
						float4( 0, 0, 0, 1); //tColor;
}

//x}bv
float4 PS_SUN01_SPR2D(VS_OUTPUT3 In) : COLOR
{
	float4 tColor = tex2D(MeshTextureSamplerPoint, In.Tex0);
	return tColor.r == 0.0 ? //&& tColor.g == 0.0 && tColor.b == 0.0 ?
							float4( 0, 0, 0, 1)
								:
							float4( 0.0625, 0.0625, 0.0625, 1);	// 0.0625=1/16
}

//YtA
float4 PS_SUN02_SPR2D(VS_OUTPUT3 In) : COLOR
{
	float4 tColor = tex2D(MeshTextureSamplerPoint, In.Tex0);
	float4 tSunColor = tex2D(SunTextureSampler, (0,0) );
	
	return tSunColor.r == 0.0 && tSunColor.g == 0.0 && tSunColor.b == 0.0
							?
						float4( 0, 0, 0, 1)
							: 
						tColor;
}



//.Normal
//float4 PS00_SPR2D(VS_OUTPUT3 In) : COLOR
//{
////	float4 tColor = tex2D(MeshTextureSampler, In.Tex0);
//	float4 tColor = tex2D(MeshTextureSamplerPoint, In.Tex0);
//	
//	float4 oColor;
//	float fInvA = 1.0 - In.Color.a; 
//	oColor.r = (tColor.r * fInvA) + (In.Color.r * In.Color.a);
//	oColor.g = (tColor.g * fInvA) + (In.Color.g * In.Color.a);
//	oColor.b = (tColor.b * fInvA) + (In.Color.b * In.Color.a);
//	oColor.a = g_Alpha;
//			
//	return oColor;
//}

//.XvCg@\ieNX`At@lgʉߐFj
//@1)eNX`Fƒ_J[̃ufBO(alpha= _J[̃At@lj
//@2)t[obt@̃ufBO(eNX`̃At@lO[oAt@lj
float4 PS00_SPR2D(VS_OUTPUT3 In) : COLOR
{
	float4 tColor = tex2D(MeshTextureSamplerPoint, In.Tex0);
	
	float4 oColor;
	float fInvA = 1.0 - In.Color.a; 
	oColor.r = (tColor.r * fInvA) + (In.Color.r * In.Color.a);
	oColor.g = (tColor.g * fInvA) + (In.Color.g * In.Color.a);
	oColor.b = (tColor.b * fInvA) + (In.Color.b * In.Color.a);
	
//	oColor.a = g_Alpha;
//	oColor.a = tColor.a;
	oColor.a = tColor.a * g_Alpha;
			
	return oColor;
}

//.eNX`At@gȂ
//@1)eNX`Fƒ_J[̃ufBO(alpha= _J[̃At@lj
//@2)t[obt@̃ufBO(O[oAt@lj
float4 PS00_SPR2D_J(VS_OUTPUT3 In) : COLOR
{
	float4 tColor = tex2D(MeshTextureSamplerPoint, In.Tex0);
	
	float4 oColor;
	float fInvA = 1.0 - In.Color.a; 
	oColor.r = (tColor.r * fInvA) + (In.Color.r * In.Color.a);
	oColor.g = (tColor.g * fInvA) + (In.Color.g * In.Color.a);
	oColor.b = (tColor.b * fInvA) + (In.Color.b * In.Color.a);
	
	oColor.a = g_Alpha;
			
	return oColor;
}


//Z
float4 PS00_SPR2D_B(VS_OUTPUT3 In) : COLOR
{
	float4 oColor;
	float4 tColor = tex2D(MeshTextureSampler, In.Tex0);
	
//	oColor.r = (In.Color.r);
//	oColor.g = (In.Color.g);
//	oColor.b = (In.Color.b);
//	oColor.a = In.Color.a;
//	return oColor;

	 oColor = tColor; // *In.Color;
//	 oColor *= 0.7f;
	 
	return oColor;
//	return tColor.r > 0.6 || tColor.g > 0.6 || tColor.b > 0.6 ?  tColor : oColor;
}


//.eNX`Ȃ
float4 PS00_SPR2D_C(VS_OUTPUT3 In) : COLOR
{
	float4 tColor = tex2D(MeshTextureSampler, In.Tex0);

	float4 oColor;
	oColor.r = In.Color.r;
	oColor.g = In.Color.g;
	oColor.b = In.Color.b;
	oColor.a = g_Alpha;
			
//	return tColor.r == 0.0 && tColor.g == 1.0 && tColor.b == 0.0 ?  float4( 0, 0, 0, 0) : oColor;
	return oColor;
}

	
//.eNX`Onley
float4 PS00_SPR2D_D(VS_OUTPUT3 In) : COLOR
{   
   return tex2D( MeshTextureSampler, In.Tex0 );
}

//UCN
float4 PS00_SPR2D_E(VS_OUTPUT3 In) : COLOR
{   
	float4 text = tex2D(MaskTextureSampler, In.Tex0 );
	float2 uv =  text.x > 0.5 ?  floor( 30 * In.Tex0 ) / 30 : In.Tex0;

	return tex2D(MeshTextureSampler, uv );
}


//O[XP[
float4 PS00_SPR2D_F(VS_OUTPUT3 In) : COLOR
{   
	float4 text = tex2D(MaskTextureSampler, In.Tex0 );
	
	
	float4 color = tex2D( MeshTextureSampler, In.Tex0 );
	
	float g = ( color.x + color.y + color.z) / 3.0;
		
	return  text.x > 0.5 ?  float4( g, g, g, 1.0) : color;
}

//F]
float4 PS00_SPR2D_G(VS_OUTPUT3 In) : COLOR
{   
	float4 text = tex2D(MaskTextureSampler, In.Tex0 );
	
	
	float4 color = tex2D( MeshTextureSampler, In.Tex0 );
	return  text.x > 0.5 ?  1.0-color : color;
}

//X|bgi]j
float4 PS00_SPR2D_H(VS_OUTPUT3 In) : COLOR
{   
	float4 color = tex2D( MeshTextureSampler, In.Tex0 );
	float4 text = tex2D(MaskTextureSampler, In.Tex0 );			//GtFNgpeNX`
	return  text.x > 0.5 ?  color : 0;
}

//float4 PS00_SPR2D_H(VS_OUTPUT3 In) : COLOR
//{   
//	float4 color = tex2D( RenderTextureSampler, In.Tex0 ); 
//	float4 color2  = tex2D( MeshTextureSampler, In.Tex0 );
//	float4 mask = tex2D(MaskTextureSampler, In.Tex0 );			//GtFNgpeNX`
//	
//	return  mask.x > 0.5 ?  color : color2;
//}


//Wave(SPR2D)
float4 PS00_SPR2D_I(VS_OUTPUT3 In) : COLOR
{   
	float2 uv;
	uv.x = In.Tex0.x + sin( g_Count + In.Tex0.y * 10.0f ) * 0.04f; 
	uv.y = In.Tex0.y;

	float4 color = tex2D( MeshTextureSampler, uv );
//	color = color * 0.6 + float4(0.2, 0.1, 1.0, 1) * 0.4;

	return color;
}

//
//float4 PS00_SPR2D_J(VS_OUTPUT3 In) : COLOR
//{   
//	float4 color = tex2D( MeshTextureSampler, In.Tex0  );
//
//	color.x *= g_Count;
//	color.y *= g_Count;
//
//	return color;
//}

//ڂ
float4 PS00_SPR2D_K( VS_OUTPUT3 In )  : COLOR
{ 
	float4 text = tex2D(MeshTextureSampler, In.Tex0 );
	
	
    float4 RGBColor;

	float2 uv = In.Tex0;
	
	float2 ax = float2(0.00390625	, 0.0);
	float2 ay = float2(0.0			, 0.00390625);
		
	float3 c0 = tex2D(MeshTextureSampler, uv );
	float3 c1 = tex2D(MeshTextureSampler, uv + ax );
	float3 c2 = tex2D(MeshTextureSampler, uv - ax );
	float3 c3 = tex2D(MeshTextureSampler, uv + ay );
	float3 c4 = tex2D(MeshTextureSampler, uv - ay );
	
	float3 c5 = tex2D(MeshTextureSampler, uv - ax -ay  );
	float3 c6 = tex2D(MeshTextureSampler, uv + ax -ay );
	float3 c7 = tex2D(MeshTextureSampler, uv - ax +ay );
	float3 c8 = tex2D(MeshTextureSampler, uv + ay +ay );
	
//	float3 cS = (c0+c1+c2+c3+c4) / 5;
	float3 cS = (c0+c1+c2+c3+c4  +c5+c6+c7+c8)  / 9;
	
	RGBColor.x = cS.x;
	RGBColor.y = cS.y;
	RGBColor.z = cS.z;
	RGBColor.a = 1.0;
	
//	RGBColor = RGBColor * In.Color;
	
    return RGBColor;
}


	// ------------
	// eNjbN
	// ------------
	
technique tech03
{
    pass P0
    {
        PixelShader  = compile ps_1_4 PS00_SPR2D();
        
        // _[Xe[g
        AlphaBlendEnable = True;
        SrcBlend = SrcAlpha;
        DestBlend = InvSrcAlpha;
       
        Zenable = False;
		FogEnable = false;						//@@@ tHO𖳌ɂ 
    }
    
    pass P1
    {
        PixelShader  = compile ps_2_0 PS00_SPR2D_B();
        
        // _[Xe[g
        AlphaBlendEnable = True;
//        SrcBlend = One; //SrcAlpha;
        SrcBlend = SrcAlpha;
		DestBlend = One;//SrcAlpha;//
      
        Zenable = False;
		FogEnable = false;						//@@@ tHO𖳌ɂ 
    }
    
    pass P2
    {
        PixelShader  = compile ps_1_4 PS00_SPR2D_C();
        
        // _[Xe[g
        AlphaBlendEnable = True;
        SrcBlend = SrcAlpha;
        DestBlend = InvSrcAlpha;
        
        Zenable = False;
		FogEnable = false;						//@@@ tHO𖳌ɂ 
    }
    
    pass P3
    {
        PixelShader  = compile ps_1_4 PS00_SPR2D_D();
        
        // _[Xe[g
        AlphaBlendEnable = False; //True;
        SrcBlend = SrcAlpha;
        DestBlend = InvSrcAlpha;
        
        Zenable = False;
		FogEnable = false;						//@@@ tHO𖳌ɂ 
    }
    pass P4
    {
        PixelShader  = compile ps_2_0 PS00_SPR2D_E();
        
        // _[Xe[g
        AlphaBlendEnable = True;
        SrcBlend = SrcAlpha;
        DestBlend = InvSrcAlpha;
        
        Zenable = False;
		FogEnable = false;						//@@@ tHO𖳌ɂ 
    }

   
    pass P5
    {
        PixelShader  = compile ps_1_4 PS00_SPR2D_F();
        
        // _[Xe[g
        AlphaBlendEnable = True;
        SrcBlend = SrcAlpha;
        DestBlend = InvSrcAlpha;
        
        Zenable = False;
		FogEnable = false;						//@@@ tHO𖳌ɂ 
    }
    
    pass P6
    {
        PixelShader  = compile ps_1_4 PS00_SPR2D_G();
        
        // _[Xe[g
        AlphaBlendEnable = True;
        SrcBlend = SrcAlpha;
        DestBlend = InvSrcAlpha;
        
        Zenable = False;
		FogEnable = false;						//@@@ tHO𖳌ɂ 
    }
    
    pass P7
    {
        PixelShader  = compile ps_1_4 PS00_SPR2D_H();
        
        // _[Xe[g
        AlphaBlendEnable = True;
        SrcBlend = SrcAlpha;
        DestBlend = InvSrcAlpha;
        
        Zenable = False;
		FogEnable = false;						//@@@ tHO𖳌ɂ 
    }
 
    pass P8
    {
        PixelShader  = compile ps_2_0 PS00_SPR2D_I();
        
        // _[Xe[g
        AlphaBlendEnable = True;
        SrcBlend = SrcAlpha;
        DestBlend = InvSrcAlpha;
        
        Zenable = False;
		FogEnable = false;						//@@@ tHO𖳌ɂ 
    }
    
    pass P9
    {
        PixelShader  = compile ps_1_4 PS00_SPR2D_J();
        
        // _[Xe[g
        AlphaBlendEnable = True;
        SrcBlend = SrcAlpha;
        DestBlend = InvSrcAlpha;
        
        Zenable = False;
		FogEnable = false;						//@@@ tHO𖳌ɂ 
    }
    
    pass P10
    {
        PixelShader  = compile ps_2_0 PS_SUN00_SPR2D();
        
        // _[Xe[g
        AlphaBlendEnable = True;
		SrcBlend = One;
        DestBlend = One;
       
        Zenable = False;
		FogEnable = false;						//@@@ tHO𖳌ɂ 
    }
    pass P11
    {
        PixelShader  = compile ps_2_0 PS_SUN01_SPR2D();
        
        // _[Xe[g
        AlphaBlendEnable = true;
		SrcBlend = One;
        DestBlend = One;
//        SrcBlend = SrcAlpha;
  //      DestBlend = InvSrcAlpha;

        Zenable = False;
		FogEnable = false;						//@@@ tHO𖳌ɂ 
    }
    pass P12
    {
        PixelShader  = compile ps_2_0 PS_SUN02_SPR2D();
        
        // _[Xe[g
        AlphaBlendEnable = True;
		SrcBlend = One;
        DestBlend = One;
//        SrcBlend = SrcAlpha;
//      DestBlend = InvSrcAlpha;
        Zenable = False;
		FogEnable = false;						//@@@ tHO𖳌ɂ 
    }
    
    
   pass P13
   {
        PixelShader  = compile ps_2_0 PS00_SPR2D_K();
        
        // _[Xe[g
        AlphaBlendEnable = True;
        SrcBlend = SrcAlpha;
		DestBlend = InvSrcAlpha;
//   		SrcBlend = One;
//        DestBlend = One;
     
        Zenable = False;
		FogEnable = false;						//@@@ tHO𖳌ɂ 
    }
     
}
